summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPhilip Van Hoof <philip@codeminded.be>2009-10-06 11:46:28 +0200
committerJannis Pohlmann <jannis@xfce.org>2009-10-06 13:34:44 +0200
commit292fd407ae55590a1d4ec46b0b936c80c5a03384 (patch)
tree119712c19739f757960da6accf0c8c07723990f5 /autogen.sh
parentf13b573199bf3af409d1836e1e2078f97c45cc98 (diff)
downloadtumbler-292fd407ae55590a1d4ec46b0b936c80c5a03384.tar.gz
Put in place dev-tools neutral build environment
Signed-off-by: Jannis Pohlmann <jannis@xfce.org>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh33
1 files changed, 14 insertions, 19 deletions
diff --git a/autogen.sh b/autogen.sh
index 27dd499..51551ce 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,24 +1,19 @@
-#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
+which xdt-autogen
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+if test x$? = x"0"; then
+ echo "Picked XFCE development environment"
+ . ./autogen-xfce.sh
+ exit 0
+fi
-PKG_NAME="tumbler"
-REQUIRED_AUTOMAKE_VERSION=1.9
+which gnome-autogen.sh
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/README) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
-}
+if test x$? = x"0"; then
+ echo "Picked GNOME development environment"
+ . ./autogen-gnome.sh
+ exit 0
+fi
-# Automake requires that ChangeLog exist.
-touch ChangeLog
+echo "You need to install either gnome-common or xfce4-dev-tools"
+exit 1
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
-}
-. gnome-autogen.sh